;; This file demonstrates the issues reported in
;; CLJ-1330 and CLJ-1227.
;;
;; To compile:
;;
;;     mkdir -p classes
;;     rm -f classes/*
;;     java -cp .:classes:clojure.jar clojure.main -e "(compile 'demo1)"
;;
;; Then run:
;;
;;     java -cp .:classes:clojure.jar clojure.main -e "(require 'demo1)"

(ns demo1)

(defn g [] "top-level defn g")

(def xx (fn g [] "anonymous fn g"))

(definline i [x]
  `(inc ~x))

;; CLJ-1330
(println "Expecting: \"top-level defn g\"")
(prn (g))

(println "\nExpecting: 43")
(prn (i 42))

;; CLJ-1227
(println "\nExpecting: (2 3 4)")
(prn (map i [1 2 3]))
